### Method

# GLib IOChannel set_line_term

#### Declaration [src]

    void
    g_io_channel_set_line_term (
      GIOChannel* channel,
      const gchar* line_term,
      gint length
    )

#### Description [src]

This sets the string that `GIOChannel` uses to determine where in the file a line break occurs.

#### Parameters

`line_term`

  Type: `const gchar*`

  The line termination string. Use `NULL` for autodetect. Autodetection breaks on “\n”, “\r\n”, “\r”, “\0”, and the Unicode paragraph separator. Autodetection should not be used for anything other than file-based channels.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gint`

  The length of the termination string. If -1 is passed, the string is assumed to be nul-terminated. This option allows termination strings with embedded nuls.